Bug Hunting Session
Bug 106831 - Can't print #10 envelopes properly and with proper orientation
Summary: Can't print #10 envelopes properly and with proper orientation
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.1.6.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, regression
Depends on:
Blocks: Envelope
  Show dependency treegraph
 
Reported: 2017-03-28 17:37 UTC by Lloyd
Modified: 2019-09-22 02:59 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Simple number 10 envelope that never prints with text matching orientation. (8.89 KB, application/vnd.oasis.opendocument.text)
2018-01-04 21:09 UTC, Per Nystrom
Details
Simple number 10 envelope that prints correctly but is hard to edit (9.03 KB, application/vnd.oasis.opendocument.text)
2018-01-04 21:10 UTC, Per Nystrom
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lloyd 2017-03-28 17:37:49 UTC
Description:
Can’t get LibreOffice to print #10 envelopes. Have tried to use the envelope printing wizard, and also tried to set up manually. Can’t get LibreOffice to print in Landscape mode, at all. When the envelope is exported to PDF file, the text location is wrong. Need LibreOffice to both print in Landscape mode, and with the text promoted to the proper locations.

Steps to Reproduce:
1.Try to print a #10 envelope
2.Same problem every time on multiple versions of LibreOffice.
3.

Actual Results:  
Envelopes always printed in Portrait Mode. Landscape mode not accessible. If saved as a PDF file, then PDF program will (Sometimes) print in Landscape mode with text in wrong location.

Expected Results:
Expected a properly addresses envelope.


Reproducible: Always

User Profile Reset: No

Additional Info:
Have tried disabling auto rotation in printer. Made things worse.


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Xisco Faulí 2017-03-29 07:52:38 UTC
Hello Lloyd,

it seems you're using an old version of LibreOffice.
Could you please try to reproduce it with the latest version of LibreOffice from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the bug is still present in the latest version.
Comment 2 Per Nystrom 2018-01-04 16:41:16 UTC
This bug is still present in the latest version of Libreoffice in Fedora 27, 5.4.4.2-1.  I opened another bug with Fedora, but perhaps this is the best place to track it:

https://bugzilla.redhat.com/show_bug.cgi?id=1530398

Envelope printing works correctly in older versions.  In particular, I still have a Fedora 21 box running Libreoffice 4.3.7.2-12, and envelope printing works correctly on it.
Comment 3 Per Nystrom 2018-01-04 21:09:44 UTC
Created attachment 138887 [details]
Simple number 10 envelope that never prints with text matching orientation.

I am submitting the same attachments I did with the bug I filed for Fedora.
Comment 4 Per Nystrom 2018-01-04 21:10:30 UTC
Created attachment 138888 [details]
Simple number 10 envelope that prints correctly but is hard to edit

I am submitting the same attachments I did with the bug I filed for Fedora.  This one prints correctly, but you have to tilt your head sideways to edit it.
Comment 6 Per Nystrom 2018-01-31 22:31:52 UTC
(In reply to Buovjaga from comment #5)
> Same as some of these?
> https://bugs.documentfoundation.org/buglist.
> cgi?list_id=771043&query_format=advanced&resolution=---
> &short_desc=envelope%2010&short_desc_type=allwordssubstr

Each of the bugs listed has somewhat different symptoms, and arose in different releases of LO.  The particular behavior I reported in this bug didn't start until sometime after version 4.3.7.2-12.
Comment 7 Buovjaga 2018-02-11 11:06:35 UTC
(In reply to Per Nystrom from comment #6)
> Each of the bugs listed has somewhat different symptoms, and arose in
> different releases of LO.  The particular behavior I reported in this bug
> didn't start until sometime after version 4.3.7.2-12.

Ok, adding regression keyword.
Comment 8 Rob Miller 2018-09-21 06:56:24 UTC
I am having the same issue on my Fedora 28 KDE machine. I have a brothers HL-3170CDW printer. I am running version of 6.0.6.2 of Libreoffice, Build ID: 6.0.6.2-1.fc28. The orientation is incorrect.
Comment 9 QA Administrators 2019-09-22 02:59:22 UTC
Dear Lloyd,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug